Bug 1314703 - On importing manifest, production.log filled with 400 Bad Request
On importing manifest, production.log filled with 400 Bad Request
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-04 04:53 EST by Sachin Ghai
Modified: 2018-05-24 01:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
NetworkError: 400 Bad Request in fireug (110.20 KB, image/png)
2016-03-04 04:53 EST, Sachin Ghai
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 17799 None None None 2016-12-20 10:01 EST

  None (edit)
Description Sachin Ghai 2016-03-04 04:53:33 EST
Created attachment 1133132 [details]
NetworkError: 400 Bad Request in fireug

Description of problem:
On importing a manifest via webUI, production.log filled with following:

2016-03-04 02:00:07 [app] [I] Task search_params requires task_id to be specified (ForemanTasks::Api::TasksController::BadRequest)
2016-03-04 02:00:07 [app] [I]   Rendered api/v2/errors/param_error.json.rabl within api/v2/layouts/error_layout (0.4ms)
2016-03-04 02:00:07 [app] [I] Completed 400 Bad Request in 9ms (Views: 0.9ms | ActiveRecord: 1.9ms)
2016-03-04 02:00:09 [app] [I] Started POST "/foreman_tasks/api/tasks/bulk_search" for 10.65.193.200 at 2016-03-04 02:00:09 -0500
2016-03-04 02:00:09 [app] [I] Processing by ForemanTasks::Api::TasksController#bulk_search as JSON
2016-03-04 02:00:09 [app] [I]   Parameters: {"searches"=>[{"type"=>"task", "search_id"=>"2"}], "task"=>{}}
2016-03-04 02:00:09 [app] [I] Task search_params requires task_id to be specified (ForemanTasks::Api::TasksController::BadRequest)
2016-03-04 02:00:09 [app] [I]   Rendered api/v2/errors/param_error.json.rabl within api/v2/layouts/error_layout (0.4ms)
2016-03-04 02:00:09 [app] [I] Completed 400 Bad Request in 4ms (Views: 0.9ms | ActiveRecord: 0.2ms)


And firebug raises error:

bulk_search
"NetworkError: 400 Bad Request - https://cloud-qe-7.idmqe.lab.eng.bos.redhat.com/foreman_tasks/api/tasks/bulk_search"
bulk_search
"NetworkError: 400 Bad Request - https://cloud-qe-7.idmqe.lab.eng.bos.redhat.com/foreman_tasks/api/tasks/bulk_search"

I'm not sure if its related to subscription page. But I see those while importing manifest

Version-Release number of selected component (if applicable):
sat6.2 snap2

How reproducible:
always

Steps to Reproduce:
1. import manifest
2.
3.

Actual results:
"NetworkError: 400 Bad Request - https://cloud-qe-7.idmqe.lab.eng.bos.redhat.com/foreman_tasks/api/tasks/bulk_search"

Expected results:


Additional info:
Comment 2 Walden Raines 2016-12-20 09:47:47 EST
Created redmine issue http://projects.theforeman.org/issues/17799 from this bug
Comment 3 Bryan Kearney 2016-12-20 12:22:48 EST
Upstream bug assigned to walden@redhat.com

Note You need to log in before you can comment on or make changes to this bug.